summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authoraxis <qt-info@nokia.com>2010-12-17 11:41:26 +0100
committeraxis <qt-info@nokia.com>2010-12-17 11:41:26 +0100
commita28bfd30144eac522289c8266c481f6ff4ffd0e2 (patch)
treef1d5c572246307534f99eac66d7e1b9e987d3dd2
parentd61c303f72324a1d77c6b150dd751463580635aa (diff)
Added new GCCE ebuild based on chroot.
This gets rid of the problem where the installer writes outside its designated area. That doesn't make it problem free though...
-rw-r--r--sys-devel/gcce/Manifest2
-rw-r--r--sys-devel/gcce/files/install-script.sh27
-rw-r--r--sys-devel/gcce/gcce-4.4.172-r1.ebuild63
3 files changed, 92 insertions, 0 deletions
diff --git a/sys-devel/gcce/Manifest b/sys-devel/gcce/Manifest
index c02ca64..baf9b47 100644
--- a/sys-devel/gcce/Manifest
+++ b/sys-devel/gcce/Manifest
@@ -1,2 +1,4 @@
+AUX install-script.sh 458 RMD160 ccdd86435be5c0d118739989578ffb207fe616cd SHA1 bd063edfa46f7e31185dc626ce75f6e37fbc52cb SHA256 a6418fb6533ad2de21b6bb0d8531810722cb1aeb38f6f561c39a027b18678e8e
DIST symbian-adt-4.4-172-arm-none-symbianelf.bin 100372619 RMD160 e49f65905b4c6bfec5af02995405e23068fc1f49 SHA1 ef9245dd9c95f1211f4f66f2a5b496cd1dcc944e SHA256 0b1f9b253af7f717ea079d28e759666f3eada644525f7c012c5dbfe1ee0dc2c5
+EBUILD gcce-4.4.172-r1.ebuild 1712 RMD160 89d453ad9a81d088505192446185d2ea5d29ffcd SHA1 59837b6449ef06c446f7ff52aef6b047a34403b0 SHA256 4b84250e900d83b4ff7cf97f4f8be083426ffe29c11c3d2717c45d8f870bc494
EBUILD gcce-4.4.172.ebuild 2526 RMD160 706e0d8909165d1c400ea2af2250278ba88b02e0 SHA1 d5e0fb009e499e2f91f61117a4bce564494db551 SHA256 9f79c15657b1ffb66b163fef6753d66651211edf669a7b1e39cc1e19e9a30395
diff --git a/sys-devel/gcce/files/install-script.sh b/sys-devel/gcce/files/install-script.sh
new file mode 100644
index 0000000..3c1453a
--- /dev/null
+++ b/sys-devel/gcce/files/install-script.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+(
+ # Lots of enters for the license
+ for i in `seq 1 100`; do
+ echo
+ done
+ # The next sequence is:
+ # License: y
+ # Install type: Custom (3)
+ # Deselect documentation: 2
+ # Install path
+ # Confirm install path: y
+ # Make links: None (4)
+ # Some final newlines
+ cat <<EOF
+y
+3
+2
+/usr/arm-none-symbianelf
+y
+4
+
+
+
+EOF
+) | sh ./symbian-adt* -i console
diff --git a/sys-devel/gcce/gcce-4.4.172-r1.ebuild b/sys-devel/gcce/gcce-4.4.172-r1.ebuild
new file mode 100644
index 0000000..950a7e4
--- /dev/null
+++ b/sys-devel/gcce/gcce-4.4.172-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Copyright 2010 Nokia Corporation and/or its subsidiary(-ies)
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+DESCRIPTION="Symbian ADT Sourcery G++ Lite for ARM SymbianOS"
+HOMEPAGE="http://www.codesourcery.com/sgpp/lite/arm/portal/release1258"
+
+SRC_URI="http://www.codesourcery.com/sgpp/lite/arm/portal/package6321/arm-none-symbianelf/symbian-adt-4.4-172-arm-none-symbianelf.bin"
+LICENSE="sourcery-g++"
+
+RESTRICT="binchecks mirror strip"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+src_unpack() {
+ mkdir ${S}
+ cp ${DISTDIR}/${A} ${S}
+}
+
+src_compile() {
+ true
+}
+
+src_install() {
+ mkdir ${S}/bin
+ cp -l /bin/* ${S}/bin
+ cp -lr /lib* ${S}
+ mkdir -p usr/bin
+ cp -l /usr/bin/awk usr/bin
+ cp -l /usr/bin/cksum usr/bin
+ cp -l /usr/bin/which usr/bin
+ cp -lr /usr/lib* ${S}/usr
+ mkdir -p proc tmp
+ cp -dr /dev .
+
+ cp ${FILESDIR}/install-script.sh .
+ chmod ugo+x install-script.sh
+
+ # addwrite is for chroot to work.
+ addwrite /
+ einfo "Launching installer..."
+ chroot ${S} /bin/bash install-script.sh || die "chroot failed"
+
+ mkdir -p ${D}/usr
+ cp -r usr/arm-none-symbianelf ${D}/usr
+
+ einfo "Fixing file permissions..."
+ find ${D}usr/arm-none-symbianelf -print0 | xargs -0 chmod o-w
+
+ einfo "Adding symlinks..."
+ mkdir ${D}usr/bin
+ pushd ${D}usr/bin
+ ln -s ../arm-none-symbianelf/bin/* .
+ popd
+
+ einfo "Removing unneeded files..."
+ rm -rf ${D}usr/arm-none-symbianelf/[Uu]ninstall*
+ rm -rf ${D}usr/arm-none-symbianelf/jre
+}